%global momorel 1
%global _changelog_trimtime %(date +%s -d "1 year ago")

%global with_enca 1
%global with_libcue 1

%global _systemd_path /usr/lib/systemd/user/

Name:           tracker
Version:	2.1.4
Release:	%{momorel}m%{?dist}
Summary:        Desktop-neutral search tool and indexer

Group:          Applications/System
License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/Tracker
Source0: https://download.gnome.org/sources/%{name}/2.1/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  desktop-file-utils
BuildRequires:  giflib-devel
BuildRequires:  graphviz
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libarchive-devel >= 3.2
BuildRequires:  vala-devel
%if 0%{?with_enca}
BuildRequires:  pkgconfig(enca)
%endif
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
%if 0%{?with_libcue}
BuildRequires:  pkgconfig(libcue)
%endif
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(libosinfo-1.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libmediaart-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib_c)
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  upower-devel >= 0.99.1
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(vorbisfile)

Obsoletes: compat-tracker018 < 0.17.2-2
Obsoletes: tracker-miner-flickr < 0.16.0
Obsoletes: tracker-nautilus-plugin < 0.17.2

Obsoletes: tracker-firefox-plugin < 1.11.3
Obsoletes: tracker-miner-flickr < 0.16.0
Obsoletes: tracker-nautilus-plugin < 0.17.2
Obsoletes: tracker-needle < 1.99.0
Obsoletes: tracker-preferences < 1.99.0
Obsoletes: tracker-thunderbird-plugin < 1.12.0

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database, search tool and indexer.

It consists of a common object database that allows entities to have an
almost infinite number of properties, metadata (both embedded/harvested as
well as user definable), a comprehensive database of keywords/tags and
links to other entities.

It provides additional features for file based objects including context
linking and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search
all types of files and other first class objects

%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the static libraries and header files needed for
developing with tracker

%package docs
Summary:	Documentations for tracker
Group:		Documentation
BuildArch:      noarch

%description docs
This package contains the documentation for tracker

%prep
%setup -q

autoreconf -ivf

## nuke unwanted rpaths, see also
## https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
export LANG=en_US.UTF-8
%configure --disable-static \
           --enable-gtk-doc \
           --enable-libflac \
           --enable-libvorbis \
           --enable-miner-evolution=no \
           --enable-miner-firefox \
           --enable-miner-thunderbird \
           --disable-mp3 \
           --with-unicode-support=libicu \
           --disable-functional-tests
# Disable the functional tests for now, they use python bytecodes.

make V=1 %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install

find %{buildroot} -type f -name "*.la" -delete
rm -rf %{buildroot}%{_datadir}/tracker-tests

# Remove .so symlinks for private libraries -- no external users are supposed
# to link with them.
rm -f %{buildroot}%{_libdir}/tracker-1.0/*.so

%find_lang %{name}


#%check
#desktop-file-validate %{buildroot}%{_datadir}/applications/tracker-*.desktop


%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%postun
%systemd_user_postun_with_restart %{systemd_units}


%files -f %{name}.lang
%doc COPYING
%doc AUTHORS NEWS README
%{_bindir}/tracker
%{_libexecdir}/tracker-store
%{_datadir}/tracker/
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
%{_libdir}/libtracker*-2.0.so.*
%{_libdir}/tracker-2.0/
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Tracker-2.0.typelib
%{_libdir}/girepository-1.0/TrackerControl-2.0.typelib
%{_libdir}/girepository-1.0/TrackerMiner-2.0.typelib
%{_mandir}/*/tracker*.*
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-store.desktop
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/tracker
%{_datadir}/glib-2.0/schemas/*
%{_userunitdir}/tracker-store.service

%files devel
%{_includedir}/tracker-2.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/tracker*.*
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Tracker-2.0.gir
%{_datadir}/gir-1.0/TrackerControl-2.0.gir
%{_datadir}/gir-1.0/TrackerMiner-2.0.gir

%files docs
%doc docs/reference/COPYING
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libtracker-control/
%{_datadir}/gtk-doc/html/libtracker-miner/
%{_datadir}/gtk-doc/html/libtracker-sparql/
%{_datadir}/gtk-doc/html/ontology/


%changelog
* Mon Sep 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.4-1m)
- update 2.1.4

* Mon Sep 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.3-1m)
- update 2.1.3

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.0-1m)
- update 1.12.0

* Sun Mar 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.11.4-1m)
- update 1.11.4

* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.4-2m)
- rebuild against libarchive-3.2

* Tue Jan 24 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.4-1m)
- update 1.10.4

* Mon Oct 17 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.7-5m)
- rebuild against libcue

* Wed Aug 17 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.7-3m)
- rebuild against icu

* Sun May 29 2016 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7-2m)
- add a package thunderbird-plugin

* Sat May  7 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7
- revive firefox-plugin

* Sat May  7 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.6-2m)
- build against icu-57.1-1m
- no more firefox-plugin or firebird-plugin

* Mon Apr 13 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.5-2m)
- rebuild against libmediaart-1.9.0-1m

* Mon Dec 15 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.5-1m)
- update to 1.2.5

* Fri Nov  7 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Sun Aug 24 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Fri Apr 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.14.5-3m)
- rebuild against graphviz-2.36.0-1m

* Thu Mar 13 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.5-2m)
- rebuild against icu-52

* Mon Apr  1 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.5-1m)
- update to 0.14.5
- remove fedora from vendor (desktop-file-install)

* Sun Nov 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.14.4-1m)
- update 0.14.4

* Thu Jul  5 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.14.2-1m)
- reimport from fedora
- temporary disable evolution miner

* Thu Jul 05 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.9-6m)
- rebuild for evolution-data-server-devel-3.5.3

* Sat Jun 30 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.9-5m)
- fix build with evolution-3.5.2

* Wed Jun 27 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.9-4m)
- fix build failure with glib 2.33+
- rebuild against evolution-data-server-3.5.x
- temporary disable evolution data miner

* Sun Apr  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.9-3m)
- rebuild against libtiff-4.0.1

* Wed Jan 25 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.9-2m)
- add BuildRequires

* Tue Jan 24 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.9-1m)
- update 0.12.9

* Tue Dec 13 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.8-2m)
- fix firefox/thunderbird extension support

* Fri Dec  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.12.8-1m)
- update to 0.12.8

* Wed Dec  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.7-2m)
- rebuild against poppler-0.18.2

* Sun Nov  6 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.7-1m)
- update to 0.12.7

* Sat Oct 22 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.6-1m)
- update to 0.12.6

* Fri Oct 14 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.5-1m)
- update to 0.12.5

* Sat Oct  8 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- update to 0.12.4

* Wed Oct  5 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.3-2m)
- rebuild against poppler-0.18.0

* Mon Sep 26 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-1m)
- update to 0.12.3

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Wed Sep 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.0-2m)
- fix build failure on x86_64

* Wed Sep 14 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Thu Aug 18 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.20-3m)
- add BuildRequires

* Sun Aug 14 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.20-2m)
- rebuild against icu-4.6

* Sat Jul 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.20-1m)
- update to 0.10.20

* Mon Jun 27 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.18-1m)
- update to 0.10.18

* Thu May 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.13-1m)
- update to 0.10.13

* Thu May 12 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-3m)
- rebuild against gupnp-dlna-0.6.1

* Tue May  3 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-2m)
- rebuild against NetworkManager-0.8.998

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-1m)
- update to 0.10.11
- delete search-tool

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.17-7m)
- rebuild for new GCC 4.6

* Sat Apr  2 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.17-6m)
- rebuild against poppler-0.16.4

* Thu Jan 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.17-5m)
- add patch1 (enable to build with new poppler-0.16.0)

* Wed Jan 19 2011 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.17-4m)
- rebuild against poppler-0.16.0

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.17-3m)
- rebuild for new GCC 4.5

* Thu Nov 11 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.17-3m)
- rebuild against upower-0.9.7

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.17-2m)
- rebuild against evolution-2.32.0 (add patch0)
- rebuild against gtkhtml3-3.32.0

* Sun Sep 26 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.17-1m)
- update to 0.8.17

* Sat Sep 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.15-3m)
- rebuild against poppler-0.14.3

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.15-2m)
- full rebuild for mo7 release

* Fri Jul 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.15-1m)
- update to 0.8.15

* Fri Jun 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.13-1m)
- update to 0.8.13

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-3m)
- rebuild against evolution-2.30.2

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-2m)
- vapi and gir to devel

* Fri Jun 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.12-1m)
- update to 0.8.12

* Sat Jun 12 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.11-1m)
- update to 0.8.11

* Wed Jun  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.10-3m)
- rebuild against poppler-0.14.0

* Mon Jun  7 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.10-2m)
- add BuildRequires and --enable-tracker-explorer

* Fri Jun  4 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.10-1m)
- update to 0.8.10

* Tue Jun  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.95-9m)
- change BuildRequires: from poppler-devel to poppler-glib-devel

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-8m)
- rebuild against libjpeg-8a

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-7m)
- rebuild against totem-pl-parser-2.29.1

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-6m)
- rebuild against gnome-desktop-2.29.90

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.95-4m)
- rebuild against libjpeg-7

* Fri Aug 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.95-3m)
- rebuild against gmime22

* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.95-2m)
- fix BuildRequires

* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.95-1m)
- update to 0.6.95

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-7m)
- do not autostart in GNOME

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-6m)
- rebuild against gnome-desktop-2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.6-5m)
- rebuild against rpm-4.6

* Mon Oct 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.6-4m)
- fix force bz2 man

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-3m)
- rebuild against gnome-desktop-2.24.0

* Mon May 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6-2m)
- remove vendor="fedora" from desktop file

* Sun May 18 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.6-1m)
- import from Fedora

* Fri Mar 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.6-2
- BR poppler-glib-devel instead of poppler-devel for pdf extract module (Thanks to Karsten Hopp mass rebuild work for bringing this to light)

* Sun Mar 02 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.6-1
- New release 0.6.6

* Thu Feb 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.5-1
- New release 0.6.5

* Fri Feb 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-7
- Ship the tracker-applet program in the tracker-search-tool subpackage
  (Bug #434551)

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-6
- Rebuild for gcc43

* Thu Jan 24 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-5
- Backport assorted fixes from upstream svn (Fix Fedora bug 426060)

* Mon Jan 21 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.4-4
- Now require the externally packaged o3read to provide o3totxt

* Fri Dec 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-3
- Undo the patch, seems to be issues (bug #426060)

* Fri Dec 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-2
- Backport crasher fixes from upstream svn trunk

* Mon Dec 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.4-1
- Version 0.6.4

* Tue Dec 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.3-3
- Rebuild for exempi-1.99.5

* Sun Nov 25 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.3-2
- Add missing gtk+ icon cache scriptlets.

* Tue Sep 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.3-1
- Version 0.6.3

* Tue Sep 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-2
- Make trackerd start on x86_64 (Bug #286361, fix by Will Woods)

* Wed Sep 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Version 0.6.2

* Sat Aug 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.1-2
- Rebuild

* Wed Aug 08 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.0-3
- License tag update

* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 0.6.0-2.1
- rebuild for toolchain bug

* Mon Jul 23 2007 Deji Akingunola <dakingun@gmail.com> - 0.6.0-1
- Update to 0.6.0
- Manually specify path to deskbar-applet handler directory, koji can't find it

* Mon Jan 29 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-2
- Split out tracker-search-tool sub-packages, for the GUI facility
- Add proper requires for the -devel subpackage
- Deal with the rpmlint complaints on rpath

* Sat Jan 27 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.4-1
- Update to 0.5.4

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.3-1
- Update to 0.5.3

* Mon Nov 27 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-2
- Apply patch on Makefile.am instead of Makefile.in
- Add libtool to BR

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.2-1
- Update to 0.5.2

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- Update to new version

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-7
- Have the devel subpackage require pkgconfig
- Make the description field not have more than 76 characters on a line
- Fix up the RPM group

* Mon Nov 06 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-6
- Explicitly require dbus-devel and dbus-glib (needed for FC < 6) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-5
- Remove unneeded BRs (gnome-utils-devel and openssl-devel) 

* Sun Nov 05 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-4
- Add autostart desktop file.
- Edit the package description as suggested in review

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-3
- More cleaups to the spec file.

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-2
- Add needed BRs

* Sat Nov 04 2006 Deji Akingunola <dakingun@gmail.com> - 0.5.0-1
- Initial packaging for Fedora Extras
